<?php
session_start();
include_once('inclfiles/core.php');

if($user){
    $title = 'Ошибка';
	include_once('inclfiles/head.php');
	t('Вы уже зарегистрированы');
	include_once('inclfiles/foot.php');
}

$title = 'Регистрация';
include_once('inclfiles/head.php');

if(isset($_POST['ok'])){
	$nick = trim(filter($_POST['nick']));
	$password = $_POST['password'];
	$password2 = $_POST['password2'];
	$kod = num($_POST['kod']);
	$pol = filter($_POST['pol']);
	if(empty($kod) or empty($password) or empty($password2) or empty($nick) or empty($pol)) $err[] = 'Не заполнено одно или несколько полей';
	else {
		if($_SESSION['kod']!=$kod) $err[] = 'Код с картинки введен неверно';
		if($pol != 'man' AND $pol != 'woman') $err[] = 'Неверно выбран пол';
		if(mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `nick` = '".$nick."' LIMIT 1")) != 0) $err[] = 'Пользователь с таким ником уже зарегистрирован';
		if(strlen2($nick) > 10 OR strlen2($nick) < 4) $err[] = 'Длина ника должна быть не короче 4 и не длиннее 10 символов';
		if (!preg_match('|^[a-z0-9\-_]+$|i',$nick)) $err[] = 'Ник может состоять только из букв английского языка и цифр';
		if($password != $password2) $err[] = 'Пароли не совпадают';
		else if(strlen2($password) > 16 OR strlen2($password) < 4) $err[] = 'Длина пароля должна быть не короче 4 и не длиннее 16 символов';
	}
	if(!isset($err)){
		$autologin = generator(32);
		mysql_query("INSERT INTO `users` SET `password` = '".md5($password)."', `autologin` = '".$autologin."' ,`gender` = '".$pol."', `nick` = '".$nick."', `time_reg` = ".time().", `time_last` = ".time());
		m('Вы успешно зарегистрированы. Запомните либо запишите свой ник и пароль в игре');
		t('Теперь перейдите на <a href="autologin.php?code='.$autologin.'&'.$gets.'">эту</a> страницу и добавьте ее в закладки для быстрого входа в игру');
		unset($_SESSION["kod"]);
		include_once('inclfiles/foot.php');
	}
}

err();
echo '<form action="/reg.php?'.$gets.'" method="post">';
c('Желаемый ник:<br/><input name="nick" type="text" maxlength="10" value="'.$nick.'" />');
c('Ваш пол:<br/><input type="radio" name="pol" '.(($pol == 'man') ? ' checked="checked" ':'').' value="man"> Мужской  <input type="radio" name="pol" '.(($pol == 'woman') ? ' checked="checked" ':'').' value="woman"> Женский');
c('Пароль:<br/><input name="password" type="password" maxlength="16" value="" />');
c('Повторите ввод пароля:<br/><input name="password2" type="password" maxlength="16" value="" />');
c('Код с картинки:<br/><img src="/captha.php" alt="Картинка с кодом" /><br/><input name="kod" type="text" maxlength="5" value="" />');
c('<input name="ok" type="submit" value="Зарегистрироваться" />');
echo '</form>';
p('Регистрируясь, Вы соглашаетесь с <a href="/info/rules.php?'.$gets.'">правилами</a> игры');
a('/auth.php?','Авторизация','auth');
include_once('inclfiles/foot.php');
?>